Package org.springframework.security.web.authentication

# Class Http403ForbiddenEntryPoint

java.lang.Object
org.springframework.security.web.authentication.Http403ForbiddenEntryPoint

All Implemented Interfaces:
  `AuthenticationEntryPoint`

public class Http403ForbiddenEntryPoint extends Object implements AuthenticationEntryPoint

In the pre-authenticated authentication case (unlike CAS, for example) the user will already have been identified through some external mechanism and a secure context established by the time the security-enforcement filter is invoked.

Therefore this class isn't actually responsible for the commencement of authentication, as it is in the case of other providers. It will be called if the user is rejected by the AbstractPreAuthenticatedProcessingFilter, resulting in a null authentication.

The `commence` method will always return an `HttpServletResponse.SC_FORBIDDEN` (403 error).

Since:
  2.0
See Also:
  - `ExceptionTranslationFilter`

## Constructor Summary

Constructors
Constructor
Description
`Http403ForbiddenEntryPoint()`

## Method Summary

Modifier and Type
Method
Description
`void`
`commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException arg2)`
Always returns a 403 error code to the client.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Http403ForbiddenEntryPoint

public Http403ForbiddenEntryPoint()

## Method Details

### commence

public void commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException arg2) throws IOException
Always returns a 403 error code to the client.

Specified by:
  `commence` in interface `AuthenticationEntryPoint`
Parameters:
  `request` - that resulted in an `AuthenticationException`
  `response` - so that the user agent can begin authentication
  `arg2` - that caused the invocation
Throws:
  `IOException`